Bug 1956521 - fmt's CMake package is in %{_datadir} when it should be in %{_libdir}
Summary: fmt's CMake package is in %{_datadir} when it should be in %{_libdir}
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fmt
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kefu Chai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 20:32 UTC by Ben Boeckel
Modified: 2021-05-06 01:01 UTC (History)
3 users (show)

Fixed In Version: fmt-7.1.3-3.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-06 01:01:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Ben Boeckel 2021-05-03 20:32:35 UTC
The CMake package is under /usr/share/cmake when it should be under /usr/lib64/cmake because it contains arch-specific paths (namely in /usr/share/cmake/fmt/fmt-targets-relwithdebinfo.cmake where the path to the library lives).

Comment 1 Vitaly Zaitsev 2021-05-03 20:51:36 UTC
Yes, fmt is no longer a header-only library. Will fix this soon. Thanks.

Comment 2 Fedora Update System 2021-05-03 21:19:18 UTC
FEDORA-2021-b1520caa00 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b1520caa00

Comment 3 Fedora Update System 2021-05-03 21:19:19 UTC
FEDORA-2021-e7789eb660 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e7789eb660

Comment 4 Fedora Update System 2021-05-04 00:32:52 UTC
FEDORA-2021-b1520caa00 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b1520caa00`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b1520caa00

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-05-04 01:09:34 UTC
FEDORA-2021-e7789eb660 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e7789eb660`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e7789eb660

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-05-06 01:01:32 UTC
FEDORA-2021-e7789eb660 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.